"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _pagination = require("../../../helpers/pagination.js");

var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _request.getRequest;
  return {
    get: get(function (params) {
      var pagination;

      if (params.page !== undefined && params.pageSize !== undefined) {
        pagination = (0, _pagination.getPagination)(params.page, params.pageSize);
      } else {
        pagination = (0, _pagination.getPagination)();
      }

      return "v0/merchants/credit-lock-contracts?document=".concat(params.document) + "".concat(params.financialInstitutionIspb ? "&financialInstitutionIspb=".concat(params.financialInstitutionIspb) : '') + "".concat(params.validFrom ? "&validFrom=".concat(params.validFrom) : '') + "".concat(params.validTo ? "&validTo=".concat(params.validTo) : '') + "".concat(params.status ? "&status=".concat(params.status) : '') + "&".concat(pagination);
    })
  };
};

exports.service = service;