"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _pagination = require("../../../helpers/pagination.js");

const service = (get = _request.getRequest) => ({
  get: get(params => {
    let pagination;

    if (params.page !== undefined && params.pageSize !== undefined) {
      pagination = (0, _pagination.getPagination)(params.page, params.pageSize);
    } else {
      pagination = (0, _pagination.getPagination)();
    }

    return `v0/merchants/credit-lock-contracts?document=${params.document}` + `${params.financialInstitutionIspb ? `&financialInstitutionIspb=${params.financialInstitutionIspb}` : ''}` + `${params.validFrom ? `&validFrom=${params.validFrom}` : ''}` + `${params.validTo ? `&validTo=${params.validTo}` : ''}` + `${params.status ? `&status=${params.status}` : ''}` + `&${pagination}`;
  })
});

exports.service = service;