import { getRequest } from '../../../helpers/request.js';
import { getPagination } from '../../../helpers/pagination.js';

export const service = (get = getRequest) => ({
  get: get((params) => {
    let pagination;

    if (params.page !== undefined && params.pageSize !== undefined) {
      pagination = getPagination(params.page, params.pageSize);
    } else {
      pagination = getPagination();
    }

    return `v0/merchants/credit-lock-contracts?document=${params.document}` +
      `${params.financialInstitutionIspb ? `&financialInstitutionIspb=${params.financialInstitutionIspb}` : ''}` +
      `${params.validFrom ? `&validFrom=${params.validFrom}` : ''}` +
      `${params.validTo ? `&validTo=${params.validTo}` : ''}` +
      `${params.status ? `&status=${params.status}` : ''}` +
      `&${pagination}`;
  }),
});
